Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Class NullValue

    java.lang.Object
      |
      +--oracle.jbo.domain.NullValue

public class NullValue
extends java.lang.Object
implements DomainInterface, java.io.Serializable

Provides a means of creating and serializing null Domain objects.

The zero-parameter constructors for each Domain type produce default objects, rather than null objects. Use the constructors for this class to produce typed null Domain objects.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`NullValue()` Creates a default null Domain object, of type `VARCHAR`.
`NullValue(int sqlTypeId)` Creates a null value for a specified Domain type.
`NullValue(java.lang.String sqlType)` Creates a null value for a specified Domain type.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests `this` for equality with another object.
`java.lang.Object` | `getData()` Internal: Applications should not invoke this method.
`java.lang.String` | `getSQLType()` Converts `this` to string naming a JDBC type.
`int` | `getSQLTypeId()` Converts `this` to a JDBC type ID.
`int` | `hashCode()` Generates a hashcode for NullValue.
`void` | `setContext(DomainOwnerInterface owner, Transaction trans, java.lang.Object ctx)` Internal: Applications should not invoke this method.
`java.lang.String` | `toString()` For testing purposes only: converts `this` to a string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullValue

    public NullValue()

  Creates a default null Domain object, of type `VARCHAR`.

### NullValue

    public NullValue(int sqlTypeId)

  Creates a null value for a specified Domain type.
  Parameters:
    `sqlTypeId` - an integer representing a JDBC type.
  See Also:
    "java.sql.TYPES"

### NullValue

    public NullValue(java.lang.String sqlType)

  Creates a null value for a specified Domain type.
  Parameters:
    `sqlType` - an string representing a JDBC type.
  See Also:
    `JboTypeMap`

Method Detail

### getSQLTypeId

    public int getSQLTypeId()

  Converts `this` to a JDBC type ID.
  See Also:
    "java.sql.TYPES"

### getSQLType

    public java.lang.String getSQLType()

  Converts `this` to string naming a JDBC type.
  See Also:
    `JboTypeMap`

### getData

    public java.lang.Object getData()

  Internal: Applications should not invoke this method.

  Converts `this` to a JDBC object.

  Specified by:
    getData in interface DomainInterface
  Tags copied from interface: DomainInterface
  Returns:
    a formatted value object.

### setContext

    public void setContext(DomainOwnerInterface owner,
                           Transaction trans,
                           java.lang.Object ctx)

  Internal: Applications should not invoke this method.

  Specified by:
    setContext in interface DomainInterface

### toString

    public java.lang.String toString()

  For testing purposes only: converts `this` to a string.
  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Generates a hashcode for NullValue.
  Overrides:
    hashCode in class java.lang.Object
  Returns:
    the hashcode.

### equals

    public boolean equals(java.lang.Object obj)

  Tests `this` for equality with another object.
  Overrides:
    equals in class java.lang.Object
  Parameters:
    `obj` - an arbitrary `Object`.
  Returns:
    `true` if the parameter is either `null`, or a `NullValue` of the same Domain type as `this`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD